import type { ReactNode, CSSProperties } from "react";
export type GeneralProps = {
    className?: string;
    style?: CSSProperties;
    size?: "small" | "medium" | "large";
    placeholder?: string;
    id?: string;
    name?: string;
    clearButton?: boolean;
    prefix?: ReactNode;
    suffix?: ReactNode;
    readOnly?: boolean;
    disabled?: boolean;
    onChange?: (value?: string) => void;
    onClear?: () => void;
    onFocus?: () => void;
    onBlur?: () => void;
};
export type TextProps = GeneralProps & {
    className?: string;
    style?: CSSProperties;
    size?: "small" | "medium" | "large";
    status?: "loading" | "error" | "warning";
    value?: string;
};
