import type { CSSProperties, SVGAttributes } from 'react';
export type IconSVGProps = SVGAttributes<SVGElement> & {
    size?: 'tiny' | 'small' | 'medium' | 'large' | 'xlarge' | '2xlarge' | 'default' | 'custom' | '';
    customSize?: number;
};
export type IconMetadata = {
    title: string;
    category: string | undefined;
    description: string | undefined;
    /** tags to be used for searching icons in storybook */
    tags: Array<string>;
    sizes: Record<string, string>;
    /** some icons have duplicates under different names,
     * lists all files that are described by this metadata */
    aliases?: Array<string>;
    style?: CSSProperties;
};
/** Get all data setting of icons */
export declare const getmetadataIcons: (AllIcons: any) => IconMetadata[];
/** Get all category of icons */
export declare const getCategoriesIcon: (AllIcons: any) => string[];
